<?php
/**
 * Plugin Name: Flex Lab | Google Analytics for WooCommerce (GA4)
 * Plugin URI: https://wordpress.org/plugins/flexlab-google-analytics-for-woocommerce
 * Description: Works for every WooCommerce site regardless of how payment is processed. Simple integration, works every time.
 * Version: 1.0.0
 * Requires at least: 5.9.3
 * Requires PHP: 7.4
 * Author: Flex Lab
 * Author URI: https://mindk.com
 * Text Domain: flexlab-google-analytics-for-woocommerce
 * Domain Path: /languages/
 * Developers: Christophe De Weerdt
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

// Define the main file as a constant.
if ( ! defined( 'WOOCOMMERCE_GA_PLUGIN_FILE' ) ) {
	define( 'WOOCOMMERCE_GA_PLUGIN_FILE', __FILE__ );
}

// Include the autoloader and instantiate the plugin.
if ( ! class_exists( 'Flexlab_Google_Analytics_For_WooCommerce\Autoloader' ) ) {
	require_once __DIR__ . '/includes/class-autoloader.php';
	Flexlab_Google_Analytics_For_WooCommerce\Plugin::init();
}
